Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.serialize
Class EncodingInfo

    java.lang.Object
      |
      +--weblogic.apache.xml.serialize.EncodingInfo

Direct Known Subclasses:
  SieveEncodingInfo

public class EncodingInfo
extends java.lang.Object

This class represents an encoding.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: EncodingInfo.java,v 1.1 2000/12/14 19:21:50 lehors Exp $

Constructor Summary
`EncodingInfo(java.lang.String mimeName, int lastPrintable)` Creates new `EncodingInfo` instance.
`EncodingInfo(java.lang.String mimeName, java.lang.String javaName, int lastPrintable)` Creates new `EncodingInfo` instance.

Method Summary
`java.lang.String` | `getName()` Returns a MIME charset name of this encoding.
`java.io.Writer` | `getWriter(java.io.OutputStream output)` Returns a writer for this encoding based on an output stream.
`boolean` | `isPrintable(int ch)` Checks whether the specified character is printable or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncodingInfo

    public EncodingInfo(java.lang.String mimeName,
                        java.lang.String javaName,
                        int lastPrintable)

  Creates new `EncodingInfo` instance.

### EncodingInfo

    public EncodingInfo(java.lang.String mimeName,
                        int lastPrintable)

  Creates new `EncodingInfo` instance.

Method Detail

### getName

    public java.lang.String getName()

  Returns a MIME charset name of this encoding.

### getWriter

    public java.io.Writer getWriter(java.io.OutputStream output)
                             throws java.io.UnsupportedEncodingException

  Returns a writer for this encoding based on an output stream.

  Returns:
    A suitable writer
  Throws:
    java.io.UnsupportedEncodingException - There is no convertor to support this encoding

### isPrintable

    public boolean isPrintable(int ch)

  Checks whether the specified character is printable or not.

  Parameters:
    `ch` - a code point (0-0x10ffff)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference